import request from './request';

// 获取商品列表
export function getShopProductList(params) {
  return request({
    url: `shopProduct/queryProductPage/${params.pageNo}/${params.pageSize}`,
    method: 'post',
    data: params
  },true)
}

// 获取商品详情
export function getShopDetail(params) {
	return request({
	  url: `shopProduct/queryBySn`,
	  method: 'post',
	  data: params
	},true)
}

// 获取商品分类
export function getShopCategory(params) {
	return request({
	  url: `shopCategory/queryList`,
	  method: 'post',
	  data: params
	},true)
}

// 获取商品分类详情
export function getShopCategoryDetail(params) {
	return request({
	  url: `shopCategory/queryBySn/${params.categorySn}`,
	  method: 'post',
	  data: params
	},true)
}

// 获取商品分类扩展
export function getShopCategoryExt(params) {
  return request({
    url: `shopCategory/queryExtBySn`,
    method: 'post',
    data: params
  },true)
}
 